Update synonym by ID

Update synonym by ID

Updates an existing synonym group.

Requires authentication.

Request

PUT /synonym/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the synonym group to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
namestringNoDisplay name for this synonym group.
languagestringNoLanguage code this synonym group applies to (e.g. de, en).
synonymsstringNoComma-separated list of synonyms.

Example Request

{
  "name": "Footwear synonyms",
  "language": "de",
  "synonyms": "Schuhe, Schuhwerk, Stiefel, Sneaker"
}

Response

Returns the updated synonym object.

Example Response

{
  "id": 42,
  "name": "Footwear synonyms",
  "language": "de",
  "synonyms": "Schuhe, Schuhwerk, Stiefel, Sneaker"
}
Path Params
string
required
Body Params
string
string

The language to apply the synonyms to

string

Comma-separated list of synonyms

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!